#ifndef FIREWALL_H
#define FIREWALL_H

#include "WebServer.h"
#include "cJSON.h"
#include "esp32-hal-log.h"

class ESPFirewall
{
    WebServer *firewall_api = new WebServer(8080);
    void get_firewall_rules();
    void setup_routing();
    void custom_message_response(const char *message, int response_code);

public:
    ESPFirewall();
    void handle_clients();
};

#endif
